Subject: bug#40549: More usability issues:

From: zimoun <[email-masked]>
Date: Tue, 12 May 2020 13:35:04 +0200

On Tue, 12 May 2020 at 11:55, Tom Zander via Bug reports for GNU Guix
<[email-masked]> wrote:

> the bugreport is a usability bug which stems from the fact that the command
> line parser behaves differently from every single other commandline parser
> average people like me have ever used.
>
> A near 100% of the command line tools on your Gnu/Linux box will behave
> differently than guix does now.
>
> C apps using libc, python apps using their parser, even C++ apps using the Qt
> commandline classes, all are generally compatible with regards to behavior.
>
> Only Guix is different.

Could you provide concrete examples?  Other than "guix package"?
And other than short-option with optional argument?